#ifndef CONFIG_LOADER_H
#define CONFIG_LOADER_H

#include <Arduino.h>
#include <vector>

// Config structure
struct Config {
    String ssid;
    String wifiPass;
    float latitude = 0.0;
    float longitude = 0.0;
    String haKey;
    String homeEntity;
    String haUrl;
    String calUser;
    String calKey;
    std::vector<String> calUrls;
    String ncUrl;
};

// Active Features
struct ActiveFeatures {
  bool network;
  bool homeassistant;
  bool calendar;
  bool weather;
};

Config loadConfig();

#endif